import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listWave(query) {
  return request({
    url: '/app/wave/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getWave(waveId) {
  return request({
    url: '/app/wave/' + waveId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addWave(data) {
  return request({
    url: '/app/wave',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateWave(data) {
  return request({
    url: '/app/wave',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delWave(waveId) {
  return request({
    url: '/app/wave/' + waveId,
    method: 'delete'
  })
}
